@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface MvelEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
MvelEndpointBuilderFactory.AdvancedMvelEndpointBuilder
Advanced builder for endpoint for the MVEL component.
|
static interface |
MvelEndpointBuilderFactory.MvelBuilders |
static interface |
MvelEndpointBuilderFactory.MvelEndpointBuilder
Builder for endpoint for the MVEL component.
|
| Modifier and Type | Method and Description |
|---|---|
static MvelEndpointBuilderFactory.MvelEndpointBuilder |
mvel(String path)
MVEL (camel-mvel)
Transforms the message using a MVEL template.
|
static MvelEndpointBuilderFactory.MvelEndpointBuilder mvel(String path)
mvel:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethod.Apache Camel